=== modified file 'NEWS'
--- NEWS	2008-09-10 23:12:59 +0000
+++ NEWS	2008-09-10 00:02:06 +0000
@@ -12,10 +12,6 @@
     - Added --reload options to restart the application when a python 
       file change. (Guillermo Gonzalez) 
 
-    - Added error hanlding middleware. (Guillermo Gonzalez)
-    
-    - Fix Bug# 243415. Also minor improvements to logging in serve-branches and start-loggerhead. (Guillermo Gonzalez)
-
 1.6 [15Aug2008]
 ----------------
 

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-09-10 00:13:18 +0000
+++ loggerhead/apps/branch.py	2008-09-09 22:47:45 +0000
@@ -2,7 +2,6 @@
 
 import logging
 import urllib
-import sys
 
 import bzrlib.branch
 import bzrlib.lru_cache
@@ -95,7 +94,6 @@
     def app(self, environ, start_response):
         self._url_base = environ['SCRIPT_NAME']
         self._static_url_base = environ.get('loggerhead.static.url')
-        environ['FRIENDLY_NAME'] = self.friendly_name
         if self._static_url_base is None:
             self._static_url_base = self._url_base
         self._environ = environ
@@ -112,9 +110,5 @@
         try:
             c = cls(self, self.get_history())
             return c(environ, start_response)
-        except:
-            environ['exc_info'] = sys.exc_info()
-            environ['branch'] = self
-            raise
         finally:
             self.branch.unlock()

=== removed file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2008-09-09 03:47:24 +0000
+++ loggerhead/apps/error.py	1970-01-01 00:00:00 +0000
@@ -1,69 +0,0 @@
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import sys
-import logging
-from loggerhead.controllers import TemplatedBranchView
-from loggerhead.controllers.error_ui import ErrorUI
-  
-class ErrorHandlerApp(object):
-    '''Class for WSGI error logging middleware.'''
-    
-    msg = " %s.%s: %s \n" 
-
-    def __init__(self, application, **kwargs):
-        self.application = application
-        self.log = getattr(application, 'log', None)
-                
-    def __call__(self, environ, start_response):
-        try:
-            return self.application(environ, start_response)
-        except:
-            # test if exc_info has been set, in the case that 
-            # the error is caused before BranchWSGGIApp middleware 
-            if environ.has_key('exc_info') and environ.has_key('branch'):
-                # Log and/or report any application errors
-                return self.handle_error(environ, start_response)
-            else:
-                # simply propagate the error, this is logged 
-                # by paste.httpexceptions.TransLogger middleware
-                raise
-
-    def handle_error(self, environ, start_response):
-        '''Exception hanlder.'''
-        self.log_error(environ)
-        return errapp(environ, start_response)
-        
-    def log_error(self, environ):
-        exc_type, exc_object, exc_tb = environ['exc_info']
-        logger = self.log
-        if environ.has_key('branch'):
-            logger = environ['branch'].log   
-        elif environ.has_key('FRIENDLY_NAME'):
-            logger = logging.getLogger('loggerhead.%s' % 
-                environ['FRIENDLY_NAME'])
-        elif logger is None:
-            logger = logging.getLogger('loggerhead')
-        logger.exception(self.msg, exc_type.__module__, 
-                              exc_type.__name__, exc_object)
-
-
-def errapp(environ, start_response):
-    '''Default (and trivial) error handling WSGI application.'''
-    c = ErrorUI(environ['branch'], environ['exc_info'])
-    return c(environ, start_response)
-

=== removed file 'loggerhead/controllers/error_ui.py'
--- loggerhead/controllers/error_ui.py	2008-09-09 03:47:24 +0000
+++ loggerhead/controllers/error_ui.py	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-#
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from loggerhead.controllers import TemplatedBranchView
-
-class ErrorUI(TemplatedBranchView):
-
-    template_path = 'loggerhead.templates.error'
-
-    def __init__(self, branch, exc_info):
-        super(ErrorUI, self).__init__(branch, None)
-        self.exc_info = exc_info
-    
-    def get_values(self, h, args, kw, headers):
-        exc_type, exc_object, exc_tb = self.exc_info
-        return {
-            'error_title':'Error',
-            'error_description':exc_object,
-            'error_properties':[self.exc_info],
-        }
\ No newline at end of file

=== removed file 'loggerhead/templates/error.pt'
--- loggerhead/templates/error.pt	2008-09-09 03:47:24 +0000
+++ loggerhead/templates/error.pt	1970-01-01 00:00:00 +0000
@@ -1,13 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<tal:block define="onload string:load()">
-  <html xmlns="http://www.w3.org/1999/xhtml">
-    <head>
-      <title tal:content="error_title">
-      </title>
-    </head>
-    <body>
-        <p tal:content="error_description"/>
-        <p tal:content="error_properties"/>
-    </body>
-  </html>
-</tal:block>

=== removed file 'loggerhead/trace.py'
--- loggerhead/trace.py	2008-09-09 02:34:35 +0000
+++ loggerhead/trace.py	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-#
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com)
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-# Copyright (C) 2006  Robey Pointer <robey@lag.net>
-# Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import os
-import logging
-import sys
-
-def make_handler(config, filename):
-    roll = config.get('log.roll', 'never')
-    if roll == 'daily':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 1, 100)
-    elif roll == 'weekly':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
-    else:
-        h = logging.FileHandler(filename)
-    return h
-
-
-def setup_logging(log_folder, config, foreground):
-    # i hate that stupid logging config format, so just set up logging here.
-
-    if not os.path.exists(log_folder):
-        os.mkdir(log_folder)
-
-    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d]'
-                          ' %(name)s: %(message)s','%Y%m%d-%H:%M:%S')
-    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
-    debug_log.setLevel(logging.DEBUG)
-    debug_log.setFormatter(f)
-    if foreground:
-        stdout_log = logging.StreamHandler(sys.stdout)
-        stdout_log.setLevel(logging.DEBUG)
-        stdout_log.setFormatter(f)
-    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
-                          '%Y%m%d-%H:%M:%S')
-    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
-    access_log.setLevel(logging.INFO)
-    access_log.setFormatter(f)
-    
-    error_log = make_handler(config, os.path.join(log_folder, 'error.log'))
-    error_log.setLevel(logging.ERROR)
-    error_log.setFormatter(f)
-
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logging.getLogger('').addHandler(debug_log)
-    logging.getLogger('loggerhead.access').addHandler(access_log)
-    logging.getLogger('loggerhead').setLevel(logging.ERROR)
-    logging.getLogger('loggerhead').addHandler(error_log)
-
-    if foreground:
-        logging.getLogger('').addHandler(stdout_log)

=== modified file 'serve-branches'
--- serve-branches	2008-09-10 23:12:59 +0000
+++ serve-branches	2008-09-10 00:02:06 +0000
@@ -29,7 +29,6 @@
 from loggerhead.apps.filesystem import (
     BranchesFromFileSystemRoot, UserBranchesFromFileSystemRoot)
 from loggerhead.util import Reloader
-from loggerhead.apps.error import ErrorHandlerApp
 
 
 def command_line_parser():
@@ -37,7 +36,6 @@
     parser.set_defaults(
         user_dirs=False,
         show_version=False,
-        log_folder=None,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
@@ -52,14 +50,15 @@
     parser.add_option("--reload", action="store_true", dest="reload",
                       help="Restarts the application when changing python"
                            " files. Only used for development purposes.")
-    parser.add_option('--log-folder', dest="log_folder", 
-                      type=str, help="The directory to place log files")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
     return parser
 
 
 def main(args):
+    logging.basicConfig()
+    logging.getLogger().setLevel(logging.DEBUG)
+
     parser = command_line_parser()
     (options, args) = parser.parse_args(sys.argv[1:])
 
@@ -96,25 +95,8 @@
         app = UserBranchesFromFileSystemRoot(path, options.trunk_dir)
     else:
         app = BranchesFromFileSystemRoot(path)
-    
-    # setup_logging()
-    logging.basicConfig()
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logger = getattr(app, 'log', logging.getLogger('loggerhead'))
-    if options.log_folder:
-        logfile_path = os.path.join(options.log_folder, 'serve-branches.log')
-    else:
-        logfile_path = 'serve-branches.log'
-    logfile = logging.FileHandler(logfile_path, 'a')
-    formatter = logging.Formatter('%(asctime)s %(levelname)-8s %(name)s:'
-                                  ' %(message)s')
-    logfile.setFormatter(formatter)
-    logfile.setLevel(logging.DEBUG)
-    logger.addHandler(logfile)
-    # setup_logging() #end
-    app = ErrorHandlerApp(app)
     app = HTTPExceptionHandler(app)
-    app = TransLogger(app, logger=logger)
+    app = TransLogger(app)
 
     if not options.user_prefix:
         prefix = '/'

=== modified file 'serve-branches.1'
--- serve-branches.1	2008-09-10 23:12:59 +0000
+++ serve-branches.1	2008-09-10 00:02:06 +0000
@@ -21,23 +21,11 @@
 \fB\-\-trunk\-dir\fR=\fIDIR\fR
 The directory that contains the trunk branches.
 .TP
-\fB\-\-port\fR
-Port Loggerhead should listen on (defaults to 8080).
-.TP
-\fB\-\-host\fR
-Host Loggerhead should listen on.
-.TP
-\fB\-\-prefix\fR
-Specify host prefix.
-.TP
 \fB\-\-reload\fR
 Restarts the application when changing python files. Only used for development purposes.
 .TP
-\fB\-\-log\-folder\fR=\fILOG_FOLDER\fR
-The directory to place log files
-.TP
 \fB\-\-version\fR
-Print the software version and exit.
+Print the software version and exit
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-09-09 03:47:24 +0000
+++ start-loggerhead	2008-08-11 20:09:44 +0000
@@ -31,8 +31,48 @@
 
 from loggerhead import daemon
 from loggerhead.apps.config import Root
-from loggerhead.trace import make_handler, setup_logging
-from loggerhead.apps.error import ErrorHandlerApp
+
+
+def make_handler(config, filename):
+    roll = config.get('log.roll', 'never')
+    if roll == 'daily':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 1, 100)
+    elif roll == 'weekly':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
+    else:
+        h = logging.FileHandler(filename)
+    return h
+
+
+def setup_logging(log_folder, config, foreground):
+    # i hate that stupid logging config format, so just set up logging here.
+
+    if not os.path.exists(log_folder):
+        os.mkdir(log_folder)
+
+    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d] %(name)s: %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
+    debug_log.setLevel(logging.DEBUG)
+    debug_log.setFormatter(f)
+    if foreground:
+        stdout_log = logging.StreamHandler(sys.stdout)
+        stdout_log.setLevel(logging.DEBUG)
+        stdout_log.setFormatter(f)
+    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
+    access_log.setLevel(logging.INFO)
+    access_log.setFormatter(f)
+
+    logging.getLogger('').setLevel(logging.DEBUG)
+    logging.getLogger('').addHandler(debug_log)
+    logging.getLogger('wsgi').addHandler(access_log)
+
+    if foreground:
+        logging.getLogger('').addHandler(stdout_log)
+
+
 
 def main():
     home = os.path.realpath(os.path.dirname(__file__))
@@ -97,8 +137,7 @@
 
     app = app
     app = make_middleware(app)
-    app = make_filter(app, None, logger_name=log.name+'.access')
-    app = ErrorHandlerApp(app)
+    app = make_filter(app, None)
 
     if webpath:
         scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)

